/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@angular/core"),require("@angular/cdk/collections"),require("rxjs"),require("rxjs/operators"),require("@angular/cdk/coercion"),require("@angular/common")):"function"==typeof define&&define.amd?define("@angular/cdk/table",["exports","@angular/core","@angular/cdk/collections","rxjs","rxjs/operators","@angular/cdk/coercion","@angular/common"],t):t((e.ng=e.ng||{},e.ng.cdk=e.ng.cdk||{},e.ng.cdk.table={}),e.ng.core,e.ng.cdk.collections,e.rxjs,e.rxjs.operators,e.ng.cdk.coercion,e.ng.common)}(this,function(e,t,o,r,n,i,a){"use strict";function s(e,t){function o(){this.constructor=e}w(e,t),e.prototype=null===t?Object.create(t):(o.prototype=t.prototype,new o)}function c(e){return Error('Could not find column with id "'+e+'".')}function u(e){return Error('Duplicate column definition name provided: "'+e+'".')}function f(){return Error("There can only be one default row without a when predicate function.")}function l(e){return Error("Could not find a matching row definition for theprovided row data: "+JSON.stringify(e))}function d(){return Error("Missing definitions for header, footer, and row; cannot determine which columns should be rendered.")}function h(){return Error("Provided data source did not match an array, Observable, or DataSource")}function p(e,t){return e.toArray().concat(Array.from(t))}var w=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var o in t)t.hasOwnProperty(o)&&(e[o]=t[o])},m=function(){function e(e){this.template=e}return e.decorators=[{type:t.Directive,args:[{selector:"[cdkCellDef]"}]}],e.ctorParameters=function(){return[{type:t.TemplateRef}]},e}(),_=function(){function e(e){this.template=e}return e.decorators=[{type:t.Directive,args:[{selector:"[cdkHeaderCellDef]"}]}],e.ctorParameters=function(){return[{type:t.TemplateRef}]},e}(),R=function(){function e(e){this.template=e}return e.decorators=[{type:t.Directive,args:[{selector:"[cdkFooterCellDef]"}]}],e.ctorParameters=function(){return[{type:t.TemplateRef}]},e}(),D=function(){function e(){}return Object.defineProperty(e.prototype,"name",{get:function(){return this._name},set:function(e){e&&(this._name=e,this.cssClassFriendlyName=e.replace(/[^a-z0-9_-]/gi,"-"))},enumerable:!0,configurable:!0}),e.decorators=[{type:t.Directive,args:[{selector:"[cdkColumnDef]"}]}],e.propDecorators={name:[{type:t.Input,args:["cdkColumnDef"]}],cell:[{type:t.ContentChild,args:[m]}],headerCell:[{type:t.ContentChild,args:[_]}],footerCell:[{type:t.ContentChild,args:[R]}]},e}(),g=function(){function e(e,t){var o="cdk-column-"+e.cssClassFriendlyName;t.nativeElement.classList.add(o)}return e}(),y=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.decorators=[{type:t.Directive,args:[{selector:"cdk-header-cell, th[cdk-header-cell]",host:{class:"cdk-header-cell",role:"columnheader"}}]}],o.ctorParameters=function(){return[{type:D},{type:t.ElementRef}]},o}(g),C=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.decorators=[{type:t.Directive,args:[{selector:"cdk-footer-cell, td[cdk-footer-cell]",host:{class:"cdk-footer-cell",role:"gridcell"}}]}],o.ctorParameters=function(){return[{type:D},{type:t.ElementRef}]},o}(g),v=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.decorators=[{type:t.Directive,args:[{selector:"cdk-cell, td[cdk-cell]",host:{class:"cdk-cell",role:"gridcell"}}]}],o.ctorParameters=function(){return[{type:D},{type:t.ElementRef}]},o}(g),k="<ng-container cdkCellOutlet></ng-container>",b=function(){function e(e,t){this.template=e,this._differs=t}return e.prototype.ngOnChanges=function(e){var t=e.columns.currentValue||[];this._columnsDiffer||(this._columnsDiffer=this._differs.find(t).create(),this._columnsDiffer.diff(t))},e.prototype.getColumnsDiff=function(){return this._columnsDiffer.diff(this.columns)},e}(),O=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.prototype.extractCellTemplate=function(e){return e.headerCell.template},o.decorators=[{type:t.Directive,args:[{selector:"[cdkHeaderRowDef]",inputs:["columns: cdkHeaderRowDef"]}]}],o.ctorParameters=function(){return[{type:t.TemplateRef},{type:t.IterableDiffers}]},o}(b),S=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.prototype.extractCellTemplate=function(e){return e.footerCell.template},o.decorators=[{type:t.Directive,args:[{selector:"[cdkFooterRowDef]",inputs:["columns: cdkFooterRowDef"]}]}],o.ctorParameters=function(){return[{type:t.TemplateRef},{type:t.IterableDiffers}]},o}(b),E=function(e){function o(t,o){return e.call(this,t,o)||this}return s(o,e),o.prototype.extractCellTemplate=function(e){return e.cell.template},o.decorators=[{type:t.Directive,args:[{selector:"[cdkRowDef]",inputs:["columns: cdkRowDefColumns","when: cdkRowDefWhen"]}]}],o.ctorParameters=function(){return[{type:t.TemplateRef},{type:t.IterableDiffers}]},o}(b),x=function(){function e(t){this._viewContainer=t,e.mostRecentCellOutlet=this}return e.mostRecentCellOutlet=null,e.decorators=[{type:t.Directive,args:[{selector:"[cdkCellOutlet]"}]}],e.ctorParameters=function(){return[{type:t.ViewContainerRef}]},e}(),T=function(){function e(){}return e.decorators=[{type:t.Component,args:[{selector:"cdk-header-row, tr[cdk-header-row]",template:k,host:{class:"cdk-header-row",role:"row"},changeDetection:t.ChangeDetectionStrategy.OnPush,encapsulation:t.ViewEncapsulation.None}]}],e}(),F=function(){function e(){}return e.decorators=[{type:t.Component,args:[{selector:"cdk-footer-row, tr[cdk-footer-row]",template:k,host:{class:"cdk-footer-row",role:"row"},changeDetection:t.ChangeDetectionStrategy.OnPush,encapsulation:t.ViewEncapsulation.None}]}],e}(),P=function(){function e(){}return e.decorators=[{type:t.Component,args:[{selector:"cdk-row, tr[cdk-row]",template:k,host:{class:"cdk-row",role:"row"},changeDetection:t.ChangeDetectionStrategy.OnPush,encapsulation:t.ViewEncapsulation.None}]}],e}(),H=function(){function e(e,t){this.viewContainer=e,this.elementRef=t}return e.decorators=[{type:t.Directive,args:[{selector:"[rowOutlet]"}]}],e.ctorParameters=function(){return[{type:t.ViewContainerRef},{type:t.ElementRef}]},e}(),I=function(){function e(e,t){this.viewContainer=e,this.elementRef=t}return e.decorators=[{type:t.Directive,args:[{selector:"[headerRowOutlet]"}]}],e.ctorParameters=function(){return[{type:t.ViewContainerRef},{type:t.ElementRef}]},e}(),M=function(){function e(e,t){this.viewContainer=e,this.elementRef=t}return e.decorators=[{type:t.Directive,args:[{selector:"[footerRowOutlet]"}]}],e.ctorParameters=function(){return[{type:t.ViewContainerRef},{type:t.ElementRef}]},e}(),A="\n  <ng-container headerRowOutlet></ng-container>\n  <ng-container rowOutlet></ng-container>\n  <ng-container footerRowOutlet></ng-container>",B=(function(e){function t(){return null!==e&&e.apply(this,arguments)||this}s(t,e)}(t.EmbeddedViewRef),function(){function e(e,t,o,n){this._differs=e,this._changeDetectorRef=t,this._elementRef=o,this._onDestroy=new r.Subject,this._columnDefsByName=new Map,this._customColumnDefs=new Set,this._customRowDefs=new Set,this._customHeaderRowDefs=new Set,this._customFooterRowDefs=new Set,this._headerRowDefChanged=!0,this._footerRowDefChanged=!0,this._cachedRenderRowsMap=new Map,this._multiTemplateDataRows=!1,this.viewChange=new r.BehaviorSubject({start:0,end:Number.MAX_VALUE}),n||this._elementRef.nativeElement.setAttribute("role","grid")}return Object.defineProperty(e.prototype,"trackBy",{get:function(){return this._trackByFn},set:function(e){t.isDevMode()&&null!=e&&"function"!=typeof e&&console&&console.warn&&console.warn("trackBy must be a function, but received "+JSON.stringify(e)+"."),this._trackByFn=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dataSource",{get:function(){return this._dataSource},set:function(e){this._dataSource!==e&&this._switchDataSource(e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"multiTemplateDataRows",{get:function(){return this._multiTemplateDataRows},set:function(e){this._multiTemplateDataRows=i.coerceBooleanProperty(e),this._rowOutlet.viewContainer.length&&this._forceRenderDataRows()},enumerable:!0,configurable:!0}),e.prototype.ngOnInit=function(){var e=this;"TABLE"===this._elementRef.nativeElement.nodeName&&this._applyNativeTableSections(),this._dataDiffer=this._differs.find([]).create(function(t,o){return e.trackBy?e.trackBy(o.dataIndex,o.data):o})},e.prototype.ngAfterContentChecked=function(){if(this._cacheRowDefs(),this._cacheColumnDefs(),!this._headerRowDefs.length&&!this._footerRowDefs.length&&!this._rowDefs.length)throw d();this._renderUpdatedColumns(),this._headerRowDefChanged&&(this._forceRenderHeaderRows(),this._headerRowDefChanged=!1),this._footerRowDefChanged&&(this._forceRenderFooterRows(),this._footerRowDefChanged=!1),this.dataSource&&this._rowDefs.length>0&&!this._renderChangeSubscription&&this._observeRenderChanges()},e.prototype.ngOnDestroy=function(){this._rowOutlet.viewContainer.clear(),this._headerRowOutlet.viewContainer.clear(),this._footerRowOutlet.viewContainer.clear(),this._cachedRenderRowsMap.clear(),this._onDestroy.next(),this._onDestroy.complete(),this.dataSource instanceof o.DataSource&&this.dataSource.disconnect(this)},e.prototype.renderRows=function(){var e=this;this._renderRows=this._getAllRenderRows();var t=this._dataDiffer.diff(this._renderRows);if(t){var o=this._rowOutlet.viewContainer;t.forEachOperation(function(t,r,n){if(null==t.previousIndex)e._insertRow(t.item,n);else if(null==n)o.remove(r);else{var i=o.get(r);o.move(i,n)}}),this._updateRowIndexContext(),t.forEachIdentityChange(function(e){o.get(e.currentIndex).context.$implicit=e.item.data})}},e.prototype.setHeaderRowDef=function(e){this._customHeaderRowDefs=new Set([e]),this._headerRowDefChanged=!0},e.prototype.setFooterRowDef=function(e){this._customFooterRowDefs=new Set([e]),this._footerRowDefChanged=!0},e.prototype.addColumnDef=function(e){this._customColumnDefs.add(e)},e.prototype.removeColumnDef=function(e){this._customColumnDefs.delete(e)},e.prototype.addRowDef=function(e){this._customRowDefs.add(e)},e.prototype.removeRowDef=function(e){this._customRowDefs.delete(e)},e.prototype.addHeaderRowDef=function(e){this._customHeaderRowDefs.add(e),this._headerRowDefChanged=!0},e.prototype.removeHeaderRowDef=function(e){this._customHeaderRowDefs.delete(e),this._headerRowDefChanged=!0},e.prototype.addFooterRowDef=function(e){this._customFooterRowDefs.add(e),this._footerRowDefChanged=!0},e.prototype.removeFooterRowDef=function(e){this._customFooterRowDefs.delete(e),this._footerRowDefChanged=!0},e.prototype._getAllRenderRows=function(){var e=[],t=this._cachedRenderRowsMap;this._cachedRenderRowsMap=new Map;for(var o=0;o<this._data.length;o++){var r=this._data[o],n=this._getRenderRowsForData(r,o,t.get(r));this._cachedRenderRowsMap.has(r)||this._cachedRenderRowsMap.set(r,new WeakMap);for(var i=0;i<n.length;i++){var a=n[i],s=this._cachedRenderRowsMap.get(a.data);s.has(a.rowDef)?s.get(a.rowDef).push(a):s.set(a.rowDef,[a]),e.push(a)}}return e},e.prototype._getRenderRowsForData=function(e,t,o){return this._getRowDefs(e,t).map(function(r){var n=o&&o.has(r)?o.get(r):[];if(n.length){var i=n.shift();return i.dataIndex=t,i}return{data:e,rowDef:r,dataIndex:t}})},e.prototype._cacheColumnDefs=function(){var e=this;this._columnDefsByName.clear(),p(this._contentColumnDefs,this._customColumnDefs).forEach(function(t){if(e._columnDefsByName.has(t.name))throw u(t.name);e._columnDefsByName.set(t.name,t)})},e.prototype._cacheRowDefs=function(){this._headerRowDefs=p(this._contentHeaderRowDefs,this._customHeaderRowDefs),this._footerRowDefs=p(this._contentFooterRowDefs,this._customFooterRowDefs),this._rowDefs=p(this._contentRowDefs,this._customRowDefs);var e=this._rowDefs.filter(function(e){return!e.when});if(!this.multiTemplateDataRows&&e.length>1)throw f();this._defaultRowDef=e[0]},e.prototype._renderUpdatedColumns=function(){var e=function(e,t){return e||!!t.getColumnsDiff()};this._rowDefs.reduce(e,!1)&&this._forceRenderDataRows(),this._headerRowDefs.reduce(e,!1)&&this._forceRenderHeaderRows(),this._footerRowDefs.reduce(e,!1)&&this._forceRenderFooterRows()},e.prototype._switchDataSource=function(e){this._data=[],this.dataSource instanceof o.DataSource&&this.dataSource.disconnect(this),this._renderChangeSubscription&&(this._renderChangeSubscription.unsubscribe(),this._renderChangeSubscription=null),e||(this._dataDiffer&&this._dataDiffer.diff([]),this._rowOutlet.viewContainer.clear()),this._dataSource=e},e.prototype._observeRenderChanges=function(){var e=this;if(this.dataSource){var t;if(this.dataSource.connect instanceof Function?t=this.dataSource.connect(this):this.dataSource instanceof r.Observable?t=this.dataSource:Array.isArray(this.dataSource)&&(t=r.of(this.dataSource)),void 0===t)throw h();this._renderChangeSubscription=t.pipe(n.takeUntil(this._onDestroy)).subscribe(function(t){e._data=t||[],e.renderRows()})}},e.prototype._forceRenderHeaderRows=function(){var e=this;this._headerRowOutlet.viewContainer.length>0&&this._headerRowOutlet.viewContainer.clear(),this._headerRowDefs.forEach(function(t,o){return e._renderRow(e._headerRowOutlet,t,o)})},e.prototype._forceRenderFooterRows=function(){var e=this;this._footerRowOutlet.viewContainer.length>0&&this._footerRowOutlet.viewContainer.clear(),this._footerRowDefs.forEach(function(t,o){return e._renderRow(e._footerRowOutlet,t,o)})},e.prototype._getRowDefs=function(e,t){if(1==this._rowDefs.length)return[this._rowDefs[0]];var o=[];if(this.multiTemplateDataRows)o=this._rowDefs.filter(function(o){return!o.when||o.when(t,e)});else{var r=this._rowDefs.find(function(o){return o.when&&o.when(t,e)})||this._defaultRowDef;r&&o.push(r)}if(!o.length)throw l(e);return o},e.prototype._insertRow=function(e,t){var o=e.rowDef,r={$implicit:e.data};this._renderRow(this._rowOutlet,o,t,r)},e.prototype._renderRow=function(e,t,o,r){void 0===r&&(r={}),e.viewContainer.createEmbeddedView(t.template,r,o);for(var n=0,i=this._getCellTemplates(t);n<i.length;n++){var a=i[n];x.mostRecentCellOutlet&&x.mostRecentCellOutlet._viewContainer.createEmbeddedView(a,r)}this._changeDetectorRef.markForCheck()},e.prototype._updateRowIndexContext=function(){for(var e=this._rowOutlet.viewContainer,t=0,o=e.length;t<o;t++){var r=e.get(t),n=r.context;n.count=o,n.first=0===t,n.last=t===o-1,n.even=t%2==0,n.odd=!n.even,this.multiTemplateDataRows?(n.dataIndex=this._renderRows[t].dataIndex,n.renderIndex=t):n.index=this._renderRows[t].dataIndex}},e.prototype._getCellTemplates=function(e){var t=this;return e&&e.columns?Array.from(e.columns,function(o){var r=t._columnDefsByName.get(o);if(!r)throw c(o);return e.extractCellTemplate(r)}):[]},e.prototype._applyNativeTableSections=function(){for(var e=[{tag:"thead",outlet:this._headerRowOutlet},{tag:"tbody",outlet:this._rowOutlet},{tag:"tfoot",outlet:this._footerRowOutlet}],t=0,o=e;t<o.length;t++){var r=o[t],n=document.createElement(r.tag);n.appendChild(r.outlet.elementRef.nativeElement),this._elementRef.nativeElement.appendChild(n)}},e.prototype._forceRenderDataRows=function(){this._dataDiffer.diff([]),this._rowOutlet.viewContainer.clear(),this.renderRows()},e.decorators=[{type:t.Component,args:[{selector:"cdk-table, table[cdk-table]",exportAs:"cdkTable",template:A,host:{class:"cdk-table"},encapsulation:t.ViewEncapsulation.None,changeDetection:t.ChangeDetectionStrategy.OnPush}]}],e.ctorParameters=function(){return[{type:t.IterableDiffers},{type:t.ChangeDetectorRef},{type:t.ElementRef},{type:void 0,decorators:[{type:t.Attribute,args:["role"]}]}]},e.propDecorators={trackBy:[{type:t.Input}],dataSource:[{type:t.Input}],multiTemplateDataRows:[{type:t.Input}],_rowOutlet:[{type:t.ViewChild,args:[H]}],_headerRowOutlet:[{type:t.ViewChild,args:[I]}],_footerRowOutlet:[{type:t.ViewChild,args:[M]}],_contentColumnDefs:[{type:t.ContentChildren,args:[D]}],_contentRowDefs:[{type:t.ContentChildren,args:[E]}],_contentHeaderRowDefs:[{type:t.ContentChildren,args:[O]}],_contentFooterRowDefs:[{type:t.ContentChildren,args:[S]}]},e}()),N=[B,E,m,x,_,R,D,v,P,y,C,T,O,F,S,H,I,M],j=function(){function e(){}return e.decorators=[{type:t.NgModule,args:[{imports:[a.CommonModule],exports:N,declarations:N}]}],e}();e.DataSource=o.DataSource,e.DataRowOutlet=H,e.HeaderRowOutlet=I,e.FooterRowOutlet=M,e.CDK_TABLE_TEMPLATE=A,e.CdkTable=B,e.CdkCellDef=m,e.CdkHeaderCellDef=_,e.CdkFooterCellDef=R,e.CdkColumnDef=D,e.BaseCdkCell=g,e.CdkHeaderCell=y,e.CdkFooterCell=C,e.CdkCell=v,e.CDK_ROW_TEMPLATE=k,e.BaseRowDef=b,e.CdkHeaderRowDef=O,e.CdkFooterRowDef=S,e.CdkRowDef=E,e.CdkCellOutlet=x,e.CdkHeaderRow=T,e.CdkFooterRow=F,e.CdkRow=P,e.CdkTableModule=j,Object.defineProperty(e,"__esModule",{value:!0})});
//# sourceMappingURL=cdk-table.umd.min.js.map
