/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@angular/cdk/platform"),require("@angular/core"),require("rxjs"),require("@angular/cdk/coercion"),require("rxjs/operators")):"function"==typeof define&&define.amd?define("@angular/cdk/textField",["exports","@angular/cdk/platform","@angular/core","rxjs","@angular/cdk/coercion","rxjs/operators"],t):t((e.ng=e.ng||{},e.ng.cdk=e.ng.cdk||{},e.ng.cdk.textField={}),e.ng.cdk.platform,e.ng.core,e.rxjs,e.ng.cdk.coercion,e.rxjs.operators)}(this,function(e,t,i,n,o,r){"use strict";var s=!!t.supportsPassiveEventListeners()&&{passive:!0},a=function(){function e(e,t){this._platform=e,this._ngZone=t,this._monitoredElements=new Map}return e.prototype.monitor=function(e){if(!this._platform.isBrowser)return n.EMPTY;var t=this._monitoredElements.get(e);if(t)return t.subject.asObservable();var i=new n.Subject,o=function(t){"cdk-text-field-autofill-start"===t.animationName?(e.classList.add("cdk-text-field-autofilled"),i.next({target:t.target,isAutofilled:!0})):"cdk-text-field-autofill-end"===t.animationName&&(e.classList.remove("cdk-text-field-autofilled"),i.next({target:t.target,isAutofilled:!1}))};return this._ngZone.runOutsideAngular(function(){e.addEventListener("animationstart",o,s),e.classList.add("cdk-text-field-autofill-monitored")}),this._monitoredElements.set(e,{subject:i,unlisten:function(){e.removeEventListener("animationstart",o,s)}}),i.asObservable()},e.prototype.stopMonitoring=function(e){var t=this._monitoredElements.get(e);t&&(t.unlisten(),t.subject.complete(),e.classList.remove("cdk-text-field-autofill-monitored"),e.classList.remove("cdk-text-field-autofilled"),this._monitoredElements.delete(e))},e.prototype.ngOnDestroy=function(){var e=this;this._monitoredElements.forEach(function(t,i){return e.stopMonitoring(i)})},e.decorators=[{type:i.Injectable,args:[{providedIn:"root"}]}],e.ctorParameters=function(){return[{type:t.Platform},{type:i.NgZone}]},e.ngInjectableDef=i.defineInjectable({factory:function(){return new e(i.inject(t.Platform),i.inject(i.NgZone))},token:e,providedIn:"root"}),e}(),l=function(){function e(e,t){this._elementRef=e,this._autofillMonitor=t,this.cdkAutofill=new i.EventEmitter}return e.prototype.ngOnInit=function(){var e=this;this._autofillMonitor.monitor(this._elementRef.nativeElement).subscribe(function(t){return e.cdkAutofill.emit(t)})},e.prototype.ngOnDestroy=function(){this._autofillMonitor.stopMonitoring(this._elementRef.nativeElement)},e.decorators=[{type:i.Directive,args:[{selector:"[cdkAutofill]"}]}],e.ctorParameters=function(){return[{type:i.ElementRef},{type:a}]},e.propDecorators={cdkAutofill:[{type:i.Output}]},e}(),c=function(){function e(e,t,i){this._elementRef=e,this._platform=t,this._ngZone=i,this._destroyed=new n.Subject,this._enabled=!0,this._textareaElement=this._elementRef.nativeElement}return Object.defineProperty(e.prototype,"minRows",{get:function(){return this._minRows},set:function(e){this._minRows=e,this._setMinHeight()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"maxRows",{get:function(){return this._maxRows},set:function(e){this._maxRows=e,this._setMaxHeight()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"enabled",{get:function(){return this._enabled},set:function(e){e=o.coerceBooleanProperty(e),this._enabled!==e&&((this._enabled=e)?this.resizeToFitContent(!0):this.reset())},enumerable:!0,configurable:!0}),e.prototype._setMinHeight=function(){var e=this.minRows&&this._cachedLineHeight?this.minRows*this._cachedLineHeight+"px":null;e&&this._setTextareaStyle("minHeight",e)},e.prototype._setMaxHeight=function(){var e=this.maxRows&&this._cachedLineHeight?this.maxRows*this._cachedLineHeight+"px":null;e&&this._setTextareaStyle("maxHeight",e)},e.prototype.ngAfterViewInit=function(){var e=this;this._platform.isBrowser&&(this._initialHeight=this._textareaElement.style.height,this.resizeToFitContent(),this._ngZone.runOutsideAngular(function(){n.fromEvent(window,"resize").pipe(r.auditTime(16),r.takeUntil(e._destroyed)).subscribe(function(){return e.resizeToFitContent(!0)})}))},e.prototype.ngOnDestroy=function(){this._destroyed.next(),this._destroyed.complete()},e.prototype._setTextareaStyle=function(e,t){this._textareaElement.style[e]=t},e.prototype._cacheTextareaLineHeight=function(){if(!this._cachedLineHeight){var e=this._textareaElement.cloneNode(!1);e.rows=1,e.style.position="absolute",e.style.visibility="hidden",e.style.border="none",e.style.padding="0",e.style.height="",e.style.minHeight="",e.style.maxHeight="",e.style.overflow="hidden",this._textareaElement.parentNode.appendChild(e),this._cachedLineHeight=e.clientHeight,this._textareaElement.parentNode.removeChild(e),this._setMinHeight(),this._setMaxHeight()}},e.prototype.ngDoCheck=function(){this._platform.isBrowser&&this.resizeToFitContent()},e.prototype.resizeToFitContent=function(e){var t=this;if(void 0===e&&(e=!1),this._enabled&&(this._cacheTextareaLineHeight(),this._cachedLineHeight)){var i=this._elementRef.nativeElement,n=i.value;if(n!==this._previousValue||e){var o=i.placeholder;i.classList.add("cdk-textarea-autosize-measuring"),i.placeholder="";var r=i.scrollHeight-4;i.style.height=r+"px",i.classList.remove("cdk-textarea-autosize-measuring"),i.placeholder=o,"undefined"!=typeof requestAnimationFrame&&this._ngZone.runOutsideAngular(function(){return requestAnimationFrame(function(){var e=i.selectionStart,n=i.selectionEnd;t._destroyed.isStopped||document.activeElement!==i||i.setSelectionRange(e,n)})}),this._previousValue=n}}},e.prototype.reset=function(){void 0!==this._initialHeight&&(this._textareaElement.style.height=this._initialHeight)},e.prototype._noopInputHandler=function(){},e.decorators=[{type:i.Directive,args:[{selector:"textarea[cdkTextareaAutosize]",exportAs:"cdkTextareaAutosize",host:{class:"cdk-textarea-autosize",rows:"1","(input)":"_noopInputHandler()"}}]}],e.ctorParameters=function(){return[{type:i.ElementRef},{type:t.Platform},{type:i.NgZone}]},e.propDecorators={minRows:[{type:i.Input,args:["cdkAutosizeMinRows"]}],maxRows:[{type:i.Input,args:["cdkAutosizeMaxRows"]}],enabled:[{type:i.Input,args:["cdkTextareaAutosize"]}]},e}(),u=function(){function e(){}return e.decorators=[{type:i.NgModule,args:[{declarations:[l,c],imports:[t.PlatformModule],exports:[l,c]}]}],e}();e.AutofillMonitor=a,e.CdkAutofill=l,e.CdkTextareaAutosize=c,e.TextFieldModule=u,Object.defineProperty(e,"__esModule",{value:!0})});
//# sourceMappingURL=cdk-text-field.umd.min.js.map
